"use strict";

exports.__esModule = true;
exports["default"] = reducer;

var types = _interopRequireWildcard(require("./types"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function reducer(state, action) {
  if (state === void 0) {
    state = {};
  }

  var type = action.type,
      payload = action.payload;

  switch (type) {
    case types.SET_IS_AUTH_MENU_OPEN:
      return _extends({}, state, {
        isAuthMenuOpen: payload
      });

    case types.SET_IS_MINI_MODE:
      return _extends({}, state, {
        isMiniMode: payload
      });

    case types.SET_IS_MENU_OPEN:
      return _extends({}, state, {
        isMenuOpen: payload
      });

    case types.SET_IS_MOBILE_MENU_OPEN:
      return _extends({}, state, {
        isMobileMenuOpen: payload
      });

    case types.SET_IS_MINI_SWITCH_VISIBILITY:
      return _extends({}, state, {
        isMiniSwitchVisibility: payload
      });

    default:
      return state;
  }
}

module.exports = exports.default;