import React from 'react';
import ResponsiveMenu from '../ResponsiveMenu/ResponsiveMenu';
import { useConfig } from 'base-shell/lib/providers/Config';

var Menu = function Menu(props) {
  var _useConfig = useConfig(),
      appConfig = _useConfig.appConfig;

  var _ref = appConfig || {},
      menu = _ref.menu;

  var _ref2 = menu || {},
      MenuHeader = _ref2.MenuHeader,
      MenuContent = _ref2.MenuContent;

  return /*#__PURE__*/React.createElement(ResponsiveMenu, null, MenuHeader && /*#__PURE__*/React.createElement(MenuHeader, null), MenuContent && /*#__PURE__*/React.createElement(MenuContent, null));
};

export default Menu;