function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as types from './types';
export default function reducer(state, action) {
  if (state === void 0) {
    state = {};
  }

  var type = action.type,
      payload = action.payload;

  switch (type) {
    case types.SET_IS_AUTH_MENU_OPEN:
      return _extends({}, state, {
        isAuthMenuOpen: payload
      });

    case types.SET_IS_MINI_MODE:
      return _extends({}, state, {
        isMiniMode: payload
      });

    case types.SET_IS_MENU_OPEN:
      return _extends({}, state, {
        isMenuOpen: payload
      });

    case types.SET_IS_MOBILE_MENU_OPEN:
      return _extends({}, state, {
        isMobileMenuOpen: payload
      });

    case types.SET_IS_MINI_SWITCH_VISIBILITY:
      return _extends({}, state, {
        isMiniSwitchVisibility: payload
      });

    default:
      return state;
  }
}